[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#395557: upgrade-reports: apt-get cannot upgrade x11-common (error code (1))

reassign 395557 release-notes
retitle 395557 possible upgrade problems due to X11R7 transition

On Fri, Oct 27, 2006 at 19:03:59 -0700, Steve Langasek wrote:

> On Sat, Oct 28, 2006 at 01:14:25AM +0200, Julien Cristau wrote:
> > On Fri, Oct 27, 2006 at 21:57:34 +0300, Ivanov Teodor Andrei wrote:
> > > Unpacking replacement x11-common ...
> > > dpkg: error processing /var/cache/apt/archives/x11-common_1%3a7.1.0-5_i386.deb (--unpack):
> > >  trying to overwrite `/usr/X11R6/bin', which is also in package xgl
> > the "xgl" package is not in debian, and has never been there.  You
> > should uninstall it before upgrading x11-common.
> > I believe this bug should be closed.
> Or reassigned to the release notes for documentation of the /usr/X11R6/bin
> upgrade issue?
That works too :)
I'd suggest something like the following:
In etch, /usr/X11R6/bin is a symbolic link, whereas it was a directory
in Debian sarge.  This means that if external packages or software
installed files in this directory, they will lead to an error during the
installation of the x11-common package.  You will need to remove those
files for the upgrade to proceed successfully.


Attachment: signature.asc
Description: Digital signature

Reply to: